Loading...
Searching...
No Matches
AVVideoBlockParams Struct Reference

Data structure for storing block-level encoding information. More...

`#include <libavutil/video_enc_params.h>`

## Data Fields

int | src_x
| Distance in luma pixels from the top-left corner of the visible frame to the top-left corner of the block.
int | src_y
int | w
| Width and height of the block in luma pixels.
int | h
int32_t | delta_qp
| Difference between this block's final quantization parameter and the corresponding per-frame value.

## Detailed Description

Data structure for storing block-level encoding information.

It is allocated as a part of AVVideoEncParams and should be retrieved with av_video_enc_params_block().

sizeof(AVVideoBlockParams) is not a part of the ABI and new fields may be added to it.

Definition at line 120 of file video_enc_params.h.

## Field Documentation

## src_x

int AVVideoBlockParams::src_x

Distance in luma pixels from the top-left corner of the visible frame to the top-left corner of the block.

Can be negative if top/right padding is present on the coded frame.

Definition at line 126 of file video_enc_params.h.

## src_y

int AVVideoBlockParams::src_y

Definition at line 126 of file video_enc_params.h.

## w

int AVVideoBlockParams::w

Width and height of the block in luma pixels.

Definition at line 130 of file video_enc_params.h.

## h

int AVVideoBlockParams::h

Definition at line 130 of file video_enc_params.h.

## delta_qp

int32_t AVVideoBlockParams::delta_qp

Difference between this block's final quantization parameter and the corresponding per-frame value.

Definition at line 136 of file video_enc_params.h.

The documentation for this struct was generated from the following file:

- libavutil/video_enc_params.h